Subject: Re: [v6, 1/2] cxl: Add mechanism for delivering AFU driver specific events

From: Philippe Bergheaud <[email-masked]>
Date: Wed, 22 Jun 2016 16:02:33 +0200

Matthew R. Ochs wrote:
>>On Jun 21, 2016, at 5:34 AM, Vaibhav Jain <[email-masked]> wrote:
>>
>>Hi Ian,
>>
>>Ian Munsie <[email-masked]> writes:
>>
>>
>>>Excerpts from Vaibhav Jain's message of 2016-06-20 14:20:16 +0530:
>>>
>>>What exactly is the use case for this API? I'd vote to drop it if we can
>>>do without it.
>>
>>Agree with this. Functionality of this API can be merged with
>>cxl_set_driver_ops when called with NULL arg for cxl_afu_driver_ops.
> 
> 
> Passing a NULL arg instead of calling an 'unset' API is fine with us.
> 
> I'll add that for cxlflash, I can't envision a scenario where we'll unset the
> driver ops for a context.
> 
Agreed, thanks. I will drop API cxl_unset_driver_ops() in v7.

Philippe